{{progress = 0}}
{{title='5G Application Selection for AGV'}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{icon="check"}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/nextButtonCss.css')}}">
    {{extend 'dataInputLayout.html'}}
</head>
<body>
    {{if chosenUseCase == "agv":}}
        {{=form.custom.begin}}
    <div class="formInputs">
        {{if request.vars.new:}}
            <div id="t_applicationData_mobileRobots_f_batterychargingduration_label"><div class="qmarkBefore" id="batterychargingduration">&#8505</div>
                {{=form.custom.label.f_batterychargingduration}}:<span id="t_applicationData_mobileRobots_f_batterychargingduration_description">Duration of a single battery charge</span>
            </div><div>{{=form.custom.widget.f_batterychargingduration}} {{=form.custom.comment.f_batterychargingduration}}</div>
            <div id="t_applicationData_mobileRobots_f_batterycapacity_label"><div class="qmarkBefore" id="batterycapacity">&#8505</div>
                {{=form.custom.label.f_batterycapacity}}:<span id="t_applicationData_mobileRobots_f_batterycapacity_description">Nominal battery capacity in kWh</span>
            </div><div>{{=form.custom.widget.f_batterycapacity}} {{=form.custom.comment.f_batterycapacity}}</div>
            <div id="t_applicationData_mobileRobots_f_batteryvoltage_label"><div class="qmarkBefore" id="batteryvoltage">&#8505</div>
                {{=form.custom.label.f_batteryvoltage}}:<span id="t_applicationData_mobileRobots_f_batteryvoltage_description">Voltage of mobile robot battery</span>
            </div><div>{{=form.custom.widget.f_batteryvoltage}} {{=form.custom.comment.f_batteryvoltage}}</div>
        {{pass}}
        <div id="t_applicationData_mobileRobots_f_batteryoperationtimepercharge_planned_label"><div class="qmarkBefore" id="batteryoperationtimepercharge_planned">&#8505</div>
                {{=form.custom.label.f_batteryoperationtimepercharge_planned}}:<span id="t_applicationData_mobileRobots_f_batteryoperationtimepercharge_planned_description">Planned operation time between two charges</span></div><div>{{=form.custom.widget.f_batteryoperationtimepercharge_planned}} {{=form.custom.comment.f_batteryoperationtimepercharge_planned}}</div>
        <div id="t_applicationData_mobileRobots_f_speed_average_label"><div class="qmarkBefore" id="speed_average">&#8505</div>
            {{=form.custom.label.f_speed_average}}:<span id="t_applicationData_mobileRobots_f_speed_average_description">Average Speed of AGV on straights</span>
        </div><div>{{=form.custom.widget.f_speed_average}} {{=form.custom.comment.f_speed_average}}</div>
        <div id="t_applicationData_mobileRobots_f_speedcurve_average_label"><div class="qmarkBefore" id="speedcurve_average">&#8505</div>
            {{=form.custom.label.f_speedcurve_average}}:<span id="t_applicationData_mobileRobots_f_speedcurve_average_description">Average Speed of AGV in curves</span>
        </div><div>{{=form.custom.widget.f_speedcurve_average}} {{=form.custom.comment.f_speedcurve_average}}</div>
        <div id="t_applicationData_mobileRobots_f_speedcrossing_average_label"><div class="qmarkBefore" id="speedcrossing_average">&#8505</div>
            {{=form.custom.label.f_speedcrossing_average}}:<span id="t_applicationData_mobileRobots_f_speedcrossing_average_description">Average Speed of AGV on crossing/high traffic areas</span>
        </div><div>{{=form.custom.widget.f_speedcrossing_average}} {{=form.custom.comment.f_speedcrossing_average}}</div>
        <div id="t_applicationData_mobileRobots_f_loadingduration_label"><div class="qmarkBefore" id="loadingduration">&#8505</div>
            {{=form.custom.label.f_loadingduration}}:<span id="t_applicationData_mobileRobots_f_loadingduration_description">Average duration of On and Off Loading Tasks</span>
        </div><div>{{=form.custom.widget.f_loadingduration}} {{=form.custom.comment.f_loadingduration}}</div>
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    {{pass}}
    {{if chosenUseCase == "blisk":}}
        {{=form.custom.begin}}
    <div class="formInputs">
        <div id="t_applicationData_blisk_f_workpiecechange_duration_label"><div class="qmarkBefore" id="workpiecechange_duration">&#8505</div>
            {{=form.custom.label.f_workpiecechange_duration}}:<span id="t_applicationData_blisk_f_workpiecechange_duration_description">Duration of switching the Work Piece</span>
            </div><div>{{=form.custom.widget.f_workpiecechange_duration}} {{=form.custom.comment.f_workpiecechange_duration}}</div>
        <div id="t_applicationData_blisk_f_toolchange_duration_label"><div class="qmarkBefore" id="toolchange_duration">&#8505</div>
            {{=form.custom.label.f_toolchange_duration}}:<span id="t_applicationData_blisk_f_toolchange_duration_description">Duration of a tool change</span>
            </div><div>{{=form.custom.widget.f_toolchange_duration}} {{=form.custom.comment.f_toolchange_duration}}</div>
        <div id="t_applicationData_blisk_f_toolchange_number_label"><div class="qmarkBefore" id="toolchange_number">&#8505</div>
            {{=form.custom.label.f_toolchange_number}}:<span id="t_applicationData_blisk_f_toolchange_number_description">Number of Tool Changes</span>
            </div><div>{{=form.custom.widget.f_toolchange_number}} {{=form.custom.comment.f_toolchange_number}}</div>
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    {{pass}}
    {{message=""}}
</body>
